import { EventEmitter, OnInit } from '@angular/core';
import { Question } from '../../wrapper';
import { ChangeService } from '../../services/change.service';
import * as i0 from "@angular/core";
interface CalendarDay {
    date: Date;
    events: any[];
    isCurrentMonth: boolean;
    isPast: boolean;
    isToday: boolean;
    isFuture: boolean;
    isSelected?: boolean;
}
export declare class CustomCalendarComponent implements OnInit {
    private changeService;
    eventSelected: EventEmitter<any>;
    dateSelected: EventEmitter<any>;
    openModal: EventEmitter<any>;
    closeModal: EventEmitter<any>;
    allEvents: any[];
    question: Question;
    nxtId: string;
    entries: any[];
    referenceQuestions: any[];
    qbRefrenceBook: any;
    calendarQuestion: any[];
    calendar: {};
    currentDate: Date;
    calendarDays: CalendarDay[];
    daysOfWeek: string[];
    newEventTitle: string;
    newEventTime: string;
    newDescription: string;
    newLink: string;
    selectedDay: CalendarDay | null;
    isModalOpen: boolean;
    modalTitle: string;
    modalSize: string;
    saveButtonValue: string;
    modalFooter: boolean;
    editingEventId: number;
    editingEntryGroup: any;
    showAppoinmentSection: boolean;
    subscription: any;
    constructor(changeService: ChangeService);
    ngOnInit(): void;
    processQuestion(): void;
    generateCalendar(): void;
    selectDay(day: CalendarDay): void;
    previousMonth(): void;
    nextMonth(): void;
    addAppointment(): void;
    openBookModel(): void;
    closeCalendarModal(): void;
    editEvent(event: any, entryGroup: any): void;
    deleteEvent(eventId: number, entryGroup: any): void;
    addEvent(day: CalendarDay, entryQues: any): void;
    onSave(): void;
    generateId(): string;
    getEntryKeys(entryGroup: any): string[];
    removeCharacters(questionText: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCalendarComponent, "app-custom-calendar", never, { "allEvents": { "alias": "allEvents"; "required": false; }; "question": { "alias": "question"; "required": false; }; "nxtId": { "alias": "nxtId"; "required": false; }; }, { "eventSelected": "eventSelected"; "dateSelected": "dateSelected"; "openModal": "openModal"; "closeModal": "closeModal"; }, never, never, true, never>;
}
export {};
